#!/usr/bin/env python
import coral

d1 = coral.Double.newAtom()
d2 = coral.Double.newAtom()

d1.__setDValue__(3.2)
d2.__setDValue__(3.4)

assert d1 < d2
assert d2 > d1

d1.__setDValue__(3.4)
d2.__setDValue__(3.2)

assert d2 < d1
assert d1 > d2


